﻿
#Область ОписаниеПеременных

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область ОбработчикиСобытийФормы

// Предопределенный метод
// 
&НаСервере
Процедура исперп_ПриСозданииНаСервереПосле(Отказ, СтандартнаяОбработка)
	
	Если исперп_Правка.Включена(исперп_Идентификатор.ДокументЧекККМ_ФормаОплатыСБП()) Тогда
		исперп_ВидОплатаСБП(ЭтотОбъект);
	КонецЕсли;
	
КонецПроцедуры

#КонецОбласти

#Область ОбработчикиКомандФормы

#КонецОбласти 

#Область ОбработчикиСобытийЭлементовШапкиФормы

#КонецОбласти 

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

#Область ФормаОплатыСБП

// Устанавливает подменяемое действие на команду Выбрать
//
// Параметры: 
//
&НаСервереБезКонтекста
Процедура исперп_ВидОплатаСБП(Форма)
	
	Команда	= Форма.Команды.Найти("Выбрать");
	Если Команда <> Неопределено Тогда
		Команда.Действие	= "исперп_Выбрать";
	КонецЕсли;
	
	Форма.СБП						= Форма.Параметры.Параметр.СБП.Значение;
	Форма.Элементы.СБП.Видимость	= Форма.Параметры.Параметр.СБП.Видимость;
	
КонецПроцедуры // КомандаВыбратьДействиеУстановить 

&НаКлиенте
Процедура исперп_Выбрать(Команда)
	
	// ::: везде добавлено ЭтотОбъект для исключения ошибки компиляции
	Оплата = Новый Структура;
	Оплата.Вставить("Наличные",              	ЭтотОбъект.Наличные);
	Оплата.Вставить("БонусныеБаллы",         	ЭтотОбъект.БонусныеБаллы);
	Оплата.Вставить("ПлатежныеКарты",       	ЭтотОбъект.ПлатежныеКарты);
	Оплата.Вставить("ПодарочныеСертификаты",	ЭтотОбъект.ПодарочныеСертификаты);
	// ::: +++ добавлена передача значения СБП
	Оплата.Вставить("СБП",						ЭтотОбъект.СБП);
	
	Закрыть(Оплата);
	
КонецПроцедуры

#КонецОбласти 
